Bug 1002557 - Initiator unknown for a completed timer process
Initiator unknown for a completed timer process
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER3
: 6.0.0
Assigned To: Maciej Swiderski
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 08:53 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-08-29 08:53:39 EDT
Description of problem:
Process containing a timer node has initiator / user_identity set to the correct person, if it is still active or if it was aborted. Once such a process finishes "naturally", the initiator / user_identity is set to unknown.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER2
Comment 1 Maciej Swiderski 2013-08-29 09:32:25 EDT
This was already fixed but apparently did not make it into ER2

https://github.com/droolsjbpm/jbpm/commit/bda69aa3a9d9cc1f3c2f44b09f459574ee749a46

Note You need to log in before you can comment on or make changes to this bug.